Skip to main content
GET
/
conversations
List conversations
curl --request GET \
  --url https://api.helloannie.com/v1/conversations
{
  "success": true,
  "data": {
    "conversations": [
      {
        "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "conversationTags": [
          "<string>"
        ],
        "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "medium": "CHAT",
        "botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "toNumber": "<string>",
        "fromNumber": "<string>",
        "summary": "<string>",
        "topic": "<string>",
        "duration": 1500,
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "status": "OPEN"
      }
    ],
    "pagination": {
      "offset": 123,
      "limit": 123,
      "totalCount": 123
    }
  }
}

Query Parameters

offset
number
default:0

Number of items to skip

Required range: x >= 0
limit
number
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100
orgId
string<uuid>

Filter conversations by a specific organization ID

botId
string<uuid>

Filter conversations by a specific bot ID

includeArchived
boolean
default:false

Include archived conversations in the results

includeChildren
boolean
default:false

Include conversations from child organizations (only applicable for account orgs)

Response

Response returned when listing conversations with pagination

success
enum<boolean>
required
Available options:
true
data
object
required